#!/bin/zsh

cd ~
if [ ! -e cvs ]; then
	mkdir cvs
fi
cd cvs
cat > setvars.sh <<'EOF'
export CVSROOT=':pserver:jirka@cvs.labs.redhat.com:/cvs/gnome'
if ! fgrep -q cvs.labs.redhat.com ~/.cvspass; then
	cvs login
fi
EOF

source setvars.sh

if ! fgrep -q 'export PATH=$HOME/foo/bin:$PATH' ~/.zprofile ; then
cat >> ~/.zprofile <<'EOF'
export PATH=$HOME/foo/bin:$PATH
EOF
fi

if ! fgrep -q 'export LD_LIBRARY_PATH=$HOME/foo/lib:$LD_LIBRARY_PATH' ~/.zprofile; then
cat >> ~/.zprofile <<'EOF'
export LD_LIBRARY_PATH=$HOME/foo/lib:$LD_LIBRARY_PATH
EOF
fi

echo
echo getting/making autoconf/automake/gettext/libtool
echo

source ~/.zprofile

mkdir ~/foo
cd ~/

if [ ! -e autoconf-2.13.tar.gz ]; then
	wget 'ftp://ftp.freesoftware.com/pub/sourceware/autoconf/autoconf-2.13.tar.gz'
fi

if [ ! -e automake-1.4.tar.gz ]; then
	wget 'ftp://ftp.freesoftware.com/pub/sourceware/automake/automake-1.4.tar.gz'
fi

if [ ! -e gettext-0.10.35.tar.gz ]; then
	wget 'ftp://ftp.freesoftware.com/pub/sourceware/gettext/releases/gettext-0.10.35.tar.gz'
fi

if [ ! -e libtool-1.3.5.tar.gz ]; then
	wget 'ftp://ftp.gnu.org/pub/gnu/libtool/libtool-1.3.5.tar.gz'
fi

cd ~/foo

for n in autoconf-2.13 automake-1.4 libtool-1.3.5 gettext-0.10.35; do
	if [ ! -e ~/${n}.tar.gz ]; then
		echo ***
		echo Cant get $n
		echo ***
		exit 1
	fi
	tar xzvf ~/${n}.tar.gz
	cd ~/foo/$n
	./configure --prefix=$HOME/foo
	make
	make install
	cd ~/foo
	rm -fR $n
done

echo
echo  Make sure to source ~/.zprofile
echo
echo  All done
echo
